aim4.im.v2i.reservation

## Class AczManager.Query

- java.lang.Object
- - aim4.im.v2i.reservation.AczManager.Query

- Enclosing class:
    AczManager

      public static class AczManager.Query
      extends Object

  The query for the ACZ manager.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AczManager.Query(int vin, double arrivalTime, double arrivalVelocity, double vehicleLength, double stopDist)` Create a query for the ACZ manager.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getArrivalTime()` Get the arrival time.
    `double` | `getArrivalVelocity()` Get the arrival velocity.
    `double` | `getStopDist()` Get the stopping distance.
    `double` | `getVehicleLength()` Get the vehicle length.
    `int` | `getVin()` Get the VIN of a vehicle

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AczManager.Query

          public AczManager.Query(int vin,
                          double arrivalTime,
                          double arrivalVelocity,
                          double vehicleLength,
                          double stopDist)

      Create a query for the ACZ manager.
      Parameters:
        `vin` - the VIN of a vehicle
        `arrivalTime` - the arrival time
        `arrivalVelocity` - the arrival velocity
        `vehicleLength` - the vehicle length
        `stopDist` - the stopping distance

  - ### Method Detail

    - #### getVin

          public int getVin()

      Get the VIN of a vehicle
      Returns:
        the VIN of a vehicle

    - #### getArrivalTime

          public double getArrivalTime()

      Get the arrival time.
      Returns:
        the arrival time

    - #### getArrivalVelocity

          public double getArrivalVelocity()

      Get the arrival velocity.
      Returns:
        the arrival velocity

    - #### getVehicleLength

          public double getVehicleLength()

      Get the vehicle length.
      Returns:
        the vehicle length

    - #### getStopDist

          public double getStopDist()

      Get the stopping distance.
      Returns:
        the stopping distance

Copyright © 2013. All rights reserved.